{
  "factory": {
    "id": "log-audit-jaas-login-module",
    "type": "entaxy.security.jaas.loginmodule",
    "description": "For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/security/security-jaas.html\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://karaf.apache.org/manual/latest/security\">Karaf docs</a>",
    "isAbstract": false,
    "parent": "abstract-audit-jaas-login-module",
    "label": "",
    "category": ""
  },
  "entaxy.security.jaas.loginmodule": {
    "moduleClassName": "org.apache.karaf.jaas.modules.audit.LogAuditLoginModule"
  },
  "fields": {
    "module_logger": {
      "type": "String",
      "required": true,
      "displayName": "Logger name",
      "description": "Specifies the name of the logger used for auditing login events. By default, ru.entaxy.audit.Login. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/security/security-jaas.html\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://karaf.apache.org/manual/latest/security\">Karaf docs</a>",
      "defaultValue": "ru.entaxy.audit.Login"
    },
    "module_level": {
      "type": "String",
      "required": true,
      "displayName": "Log level",
      "description": "Defines the severity  level of the log messages generated during the auditing of login events. Common level include DEBUG, INFO, WARN, ERROR and TRACE. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/security/security-jaas.html\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://karaf.apache.org/manual/latest/security\">Karaf docs</a>",
      "defaultValue": "INFO",
      "@TYPEINFO": {
        "type": "enum",
        "values": [
          "ERROR",
          "WARN",
          "INFO",
          "DEBUG",
          "TRACE"
        ]
      }
    }
  },
  "outputs": {
    "init": {
      "fields": {
        "module_logger": {},
        "module_level": {}
      }
    }
  }
}
